
#ifndef SPECTRE_MESSAGE_QUEUE_H
#define SPECTRE_MESSAGE_QUEUE_H

#include <Spectre/System/SystemEvent.h>
#include <queue>

class MessageQueue
{
public :
	void postEvent(SysEvent& event);

	bool pollEvent(SysEvent& event);

	bool isEmpty() const;

protected :
	std::deque<SysEvent> m_queue;
};

#endif /* SPECTRE_MESSAGE_QUEUE_H */
